Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept.method.aopalliance
Class MethodDefinitionSourceAdvisor

    java.lang.Object
      org.springframework.aop.support.StaticMethodMatcher
          org.springframework.aop.support.StaticMethodMatcherPointcut
              org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor
                  org.acegisecurity.intercept.method.aopalliance.MethodDefinitionSourceAdvisor

All Implemented Interfaces:
  Serializable, Advisor, MethodMatcher, Pointcut, PointcutAdvisor, Ordered

    public class MethodDefinitionSourceAdvisor

extends StaticMethodMatcherPointcutAdvisor

Advisor driven by a `MethodDefinitionSource`, used to exclude a `MethodSecurityInterceptor` from public (ie non-secure) methods.

Because the AOP framework caches advice calculations, this is normally faster than just letting the `MethodSecurityInterceptor` run and find out itself that it has no work to do.

This class also allows the use of Spring's `DefaultAdvisorAutoProxyCreator`, which makes configuration easier than setup a `ProxyFactoryBean` for each object requiring security. Note that autoproxying is not supported for BeanFactory implementations, as post-processing is automatic only for application contexts.

Based on Spring's TransactionAttributeSourceAdvisor.

Version:
  $Id: MethodDefinitionSourceAdvisor.java,v 1.3 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.aop.Pointcut
`TRUE`

Fields inherited from interface org.springframework.aop.MethodMatcher
`TRUE`

Constructor Summary
`MethodDefinitionSourceAdvisor(MethodSecurityInterceptor advice)`

Method Summary
`boolean` | `matches(Method m, Class targetClass)`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor
`getAdvice, getOrder, getPointcut, isPerInstance, setAdvice, setOrder`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcut
`getClassFilter, getMethodMatcher, setClassFilter`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcher
`isRuntime, matches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodDefinitionSourceAdvisor

    public MethodDefinitionSourceAdvisor(MethodSecurityInterceptor advice)

Method Detail

### matches

    public boolean matches(Method m,
                           Class targetClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.